## WebKitFrame WebKitFrame |

## Functions

gboolean | webkit_frame_is_main_frame ()
const gchar * | webkit_frame_get_uri ()
JSGlobalContextRef | webkit_frame_get_javascript_global_context ()
JSGlobalContextRef | webkit_frame_get_javascript_context_for_script_world ()

## Types and Values

struct | WebKitFrame

## Object Hierarchy

        GObject
        ╰── WebKitFrame

## Description

## Functions

### webkit_frame_is_main_frame ()

    gboolean
    webkit_frame_is_main_frame (WebKitFrame *frame);

Gets whether `frame` is the a main frame of a WebKitWebPage

#### Parameters

frame | a WebKitFrame |

#### Returns

`TRUE` if `frame` is a main frame or `FALSE` otherwise

Since: 2.2

### webkit_frame_get_uri ()

    const gchar *
    webkit_frame_get_uri (WebKitFrame *frame);

Gets the current active URI of `frame` .

#### Parameters

frame | a WebKitFrame |

#### Returns

the current active URI of `frame` or `NULL` if nothing has been loaded yet.

Since: 2.2

### webkit_frame_get_javascript_global_context ()

    JSGlobalContextRef
    webkit_frame_get_javascript_global_context
                                   (WebKitFrame *frame);

Gets the global JavaScript execution context. Use this function to bridge between the WebKit and JavaScriptCore APIs.

#### Parameters

frame | a WebKitFrame |

#### Returns

the global JavaScript context of `frame` .

[transfer none]

Since: 2.2

### webkit_frame_get_javascript_context_for_script_world ()

    JSGlobalContextRef
    webkit_frame_get_javascript_context_for_script_world
                                   (WebKitFrame *frame,
                                    WebKitScriptWorld *world);

Gets the JavaScript execution context of `frame` for the given WebKitScriptWorld.

#### Parameters

frame | a WebKitFrame |
world | a WebKitScriptWorld |

#### Returns

the JavaScript context of `frame` for `world` .

[transfer none]

Since: 2.2

## Types and Values

### struct WebKitFrame

    struct WebKitFrame;